package com.tsi.app.common.cpu.dto;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@Getter
@Setter
@ToString
public class TsiCvimDto {

    protected long _id;
    protected long nodeId;
    protected boolean isConnect;
    protected String collectTime;
    protected String tscDateTime;
    protected int cycleElapsedTime;
    protected TsiCvimControl tscControlInfo = new TsiCvimControl();
    protected TsiCvimAbnormal tscAbnormalInfo = new TsiCvimAbnormal();
    protected int signalStatusInfoCount;
    protected List<TsiCvimStatus> signalStatusInfos = new ArrayList<>();

    public TsiCvimDto() {
    }
}
